package com.fxy.tool.bean;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by HuangYH on 2015/9/29.
 */
public class ToolBean implements Parcelable {

    public int id = 0;
    public int rules = 0;
    public String batch_name = "";


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(this.id);
        dest.writeInt(this.rules);
        dest.writeString(this.batch_name);
    }

    public ToolBean() {
    }

    protected ToolBean(Parcel in) {
        this.id = in.readInt();
        this.rules = in.readInt();
        this.batch_name = in.readString();
    }

    public static final Parcelable.Creator<ToolBean> CREATOR = new Parcelable.Creator<ToolBean>() {
        @Override
        public ToolBean createFromParcel(Parcel source) {
            return new ToolBean(source);
        }

        @Override
        public ToolBean[] newArray(int size) {
            return new ToolBean[size];
        }
    };

    public int getId(){
        return this.id;
    }
    public int getRules(){
        return this.rules;
    }

    public String getBatchName(){
        return this.batch_name;
    }
}
